- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CControl Class Reference

base class of all VSTGUI controls More...

`#include <vstcontrols.h>`

Inheritance diagram for CControl:

List of all members.

## Public Member Functions
| CControl (const CRect &size, CControlListener *listener=0, long tag=0, CBitmap *pBackground=0)
virtual | ~CControl ()
virtual void | draw (CDrawContext *pContext)=0
| called if the view should draw itself
virtual void | doIdleStuff ()
virtual void | setValue (float val)
virtual float | getValue () const
virtual void | setMin (float val)
virtual float | getMin () const
virtual void | setMax (float val)
virtual float | getMax () const
virtual void | setOldValue (float val)
virtual float | getOldValue (void) const
virtual void | setDefaultValue (float val)
virtual float | getDefaultValue (void) const
virtual void | setTag (long val)
virtual long | getTag () const
virtual bool | isDirty () const
| check if view is dirty
virtual void | setDirty (const bool val=true)
| set the view to dirty so that it is redrawn in the next idle. Thread Safe !
virtual void | beginEdit ()
virtual void | endEdit ()
virtual void | setBackOffset (CPoint &offset)
virtual void | copyBackOffset ()
virtual void | setWheelInc (float val)
virtual float | getWheelInc () const
virtual void | bounceValue ()
virtual bool | checkDefaultValue (CDrawContext *pContext, long button)
CControlListener * | getListener () const
void | setListener (CControlListener *l)
bool | isDoubleClick ()
## Protected Attributes
CControlListener * | listener
long | tag
float | oldValue
float | defaultValue
float | value
float | vmin
float | vmax
float | wheelInc
long | lastTicks
long | delta
CPoint | backOffset

## Detailed Description

base class of all VSTGUI controls

This object manages the tag identification and the value of a control object.

Note: Since version 2.1, when an object uses the transparency for its background and draws on it (tranparency area) or the transparency area changes during different draws (CMovieBitmap ,...), the background will be false (not updated), you have to rewrite the draw function in order to redraw the background and then call the draw of the object.

## Constructor & Destructor Documentation

CControl::CControl | ( | const CRect & | size,
|  | CControlListener * | listener = `0`,
|  | long | tag = `0`,
|  | CBitmap * | pBackground = `0`
| ) |

CControl::~CControl | ( |  | ) | `[virtual]`

## Member Function Documentation

void CControl::beginEdit | ( |  | ) | `[virtual]`

void CControl::bounceValue | ( |  | ) | `[virtual]`

bool CControl::checkDefaultValue | ( | CDrawContext * | pContext,
|  | long | button
| ) | `[virtual]`

void CControl::copyBackOffset | ( |  | ) | `[virtual]`

virtual void CControl::doIdleStuff | ( |  | ) | `[inline, virtual]`

virtual void CControl::draw | ( | CDrawContext * | pContext | ) | `[pure virtual]`

| called if the view should draw itself Reimplemented from CView. Implemented in CScrollbar, CTabButton, COnOffButton, CParamDisplay, CTextLabel, CTextEdit, COptionMenu, CKnob, CAnimKnob, CVerticalSwitch, CHorizontalSwitch, CRockerSwitch, CMovieBitmap, CMovieButton, CAutoAnimation, CSlider, CSpecialDigit, CKickButton, CSplashScreen, and CVuMeter.

void CControl::endEdit | ( |  | ) | `[virtual]`

virtual float CControl::getDefaultValue | ( | void |  | ) | const`[inline, virtual]`

CControlListener* CControl::getListener | ( |  | ) | const`[inline]`

virtual float CControl::getMax | ( |  | ) | const`[inline, virtual]`

virtual float CControl::getMin | ( |  | ) | const`[inline, virtual]`

virtual float CControl::getOldValue | ( | void |  | ) | const`[inline, virtual]`

virtual long CControl::getTag | ( |  | ) | const`[inline, virtual]`

virtual float CControl::getValue | ( |  | ) | const`[inline, virtual]`

virtual float CControl::getWheelInc | ( |  | ) | const`[inline, virtual]`

bool CControl::isDirty | ( |  | ) | const`[virtual]`

| check if view is dirty Reimplemented from CView. Reimplemented in CAnimKnob.

bool CControl::isDoubleClick | ( |  | ) |

void CControl::setBackOffset | ( | CPoint & | offset | ) | `[virtual]`

virtual void CControl::setDefaultValue | ( | float | val | ) | `[inline, virtual]`

void CControl::setDirty | ( | const bool | val = `true` | ) | `[virtual]`

| set the view to dirty so that it is redrawn in the next idle. Thread Safe ! Reimplemented from CView. Reimplemented in CVuMeter.

void CControl::setListener | ( | CControlListener * | l | ) | `[inline]`

virtual void CControl::setMax | ( | float | val | ) | `[inline, virtual]`

virtual void CControl::setMin | ( | float | val | ) | `[inline, virtual]`

virtual void CControl::setOldValue | ( | float | val | ) | `[inline, virtual]`

virtual void CControl::setTag | ( | long | val | ) | `[inline, virtual]`

virtual void CControl::setValue | ( | float | val | ) | `[inline, virtual]`

| Reimplemented in COptionMenu.

virtual void CControl::setWheelInc | ( | float | val | ) | `[inline, virtual]`

## Member Data Documentation

CPoint CControl::backOffset`[protected]`

float CControl::defaultValue`[protected]`

long CControl::delta`[protected]`

long CControl::lastTicks`[protected]`

CControlListener* CControl::listener`[protected]`

float CControl::oldValue`[protected]`

long CControl::tag`[protected]`

float CControl::value`[protected]`

float CControl::vmax`[protected]`

float CControl::vmin`[protected]`

float CControl::wheelInc`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.